OpenGLRaw-3.3.4.1: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2019
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.GL.NV.ParameterBufferObject

Contents

- Extension Support
- Enums
- Functions

Description

Synopsis

- glGetNVParameterBufferObject :: MonadIO m => m Bool
- gl_NV_parameter_buffer_object :: Bool
- pattern GL_FRAGMENT_PROGRAM_PARAMETER_BUFFER_NV :: GLenum
- pattern GL_GEOMETRY_PROGRAM_PARAMETER_BUFFER_NV :: GLenum
- pattern GL_MAX_PROGRAM_PARAMETER_BUFFER_BINDINGS_NV :: GLenum
- pattern GL_MAX_PROGRAM_PARAMETER_BUFFER_SIZE_NV :: GLenum
- pattern GL_VERTEX_PROGRAM_PARAMETER_BUFFER_NV :: GLenum
- glProgramBufferParametersIivNV :: MonadIO m => GLenum -> GLuint -> GLuint -> GLsizei -> Ptr GLint -> m ()
- glProgramBufferParametersIuivNV :: MonadIO m => GLenum -> GLuint -> GLuint -> GLsizei -> Ptr GLuint -> m ()
- glProgramBufferParametersfvNV :: MonadIO m => GLenum -> GLuint -> GLuint -> GLsizei -> Ptr GLfloat -> m ()

# Extension Support

glGetNVParameterBufferObject :: MonadIO m => m Bool Source #

Is the NV_parameter_buffer_object extension supported?

gl_NV_parameter_buffer_object :: Bool Source #

Is the NV_parameter_buffer_object extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetNVParameterBufferObject` in those cases instead.

# Enums

pattern GL_FRAGMENT_PROGRAM_PARAMETER_BUFFER_NV :: GLenum Source #

pattern GL_GEOMETRY_PROGRAM_PARAMETER_BUFFER_NV :: GLenum Source #

pattern GL_MAX_PROGRAM_PARAMETER_BUFFER_BINDINGS_NV :: GLenum Source #

pattern GL_MAX_PROGRAM_PARAMETER_BUFFER_SIZE_NV :: GLenum Source #

pattern GL_VERTEX_PROGRAM_PARAMETER_BUFFER_NV :: GLenum Source #

# Functions

glProgramBufferParametersIivNV Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type ProgramTarget.
-> GLuint | `bindingIndex`.
-> GLuint | `wordIndex`.
-> GLsizei | `count`.
-> Ptr GLint | `params` pointing to `count` elements of type `GLint`.
-> m () |

glProgramBufferParametersIuivNV Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type ProgramTarget.
-> GLuint | `bindingIndex`.
-> GLuint | `wordIndex`.
-> GLsizei | `count`.
-> Ptr GLuint | `params` pointing to `count` elements of type `GLuint`.
-> m () |

glProgramBufferParametersfvNV Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type ProgramTarget.
-> GLuint | `bindingIndex`.
-> GLuint | `wordIndex`.
-> GLsizei | `count`.
-> Ptr GLfloat | `params` pointing to `count` elements of type `GLfloat`.
-> m () |